#include "lib.h"
#include "dict.h"
#include "ldap-client.h"
#include "dict-sql.h"

#ifdef BUILD_CDB
extern struct dict dict_driver_cdb;
#endif
#ifdef BUILTIN_LDAP
extern struct dict dict_driver_ldap;
#endif

void dict_drivers_register_all(void) {
	dict_drivers_register_builtin();
	dict_sql_register();
#ifdef BUILD_CDB
	dict_driver_register(&dict_driver_cdb);
#endif
#ifdef BUILTIN_LDAP
	dict_driver_register(&dict_driver_ldap);
#endif
}

void dict_drivers_unregister_all(void) {
#ifdef BUILTIN_LDAP
	ldap_clients_cleanup();
#endif
	dict_drivers_unregister_builtin();
	dict_sql_unregister();
#ifdef BUILD_CDB
	dict_driver_unregister(&dict_driver_cdb);
#endif
#ifdef BUILTIN_LDAP
	dict_driver_unregister(&dict_driver_ldap);
#endif
}
