#include "lib.h"
#include "sql-api.h"

void sql_drivers_register_all(void) {
#ifdef BUILD_PGSQL
	extern struct sql_db driver_pgsql_db;
	sql_driver_register(&driver_pgsql_db);
#endif
#ifdef BUILD_MYSQL
	extern struct sql_db driver_mysql_db;
	sql_driver_register(&driver_mysql_db);
#endif
#ifdef BUILD_SQLITE
	extern struct sql_db driver_sqlite_db;
	sql_driver_register(&driver_sqlite_db);
#endif
#ifdef BUILD_CASSANDRA
	extern struct sql_db driver_cassandra_db;
	sql_driver_register(&driver_cassandra_db);
#endif
}
